/*****************************************************************************

	FILE: MaxMixer.h

	DESCRIPTION: New Mixer interfaces for the new max mix functionality.
	
	CREATED BY: Michael Zyracki

	Copyright (c) 2004 Autodesk Inc., All Rights Reserved.


*****************************************************************************/
#pragma once

#include "maxheap.h"

// forward declarations
class Control;

#ifdef BLD_MIXER
#define MIXExport __declspec( dllexport )
#else
#define MIXExport __declspec( dllimport )
#endif


//!\brief The ClassID for the main class that holds all of the mixer info
#define MIXER_DRIVERCLIP_CLASS_ID Class_ID(0x56e36460, 0x57c34da)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVERCLIP_CLASS_ID instead [insensitive language]
#define MASTERMAXCLIP_CLASS_ID Class_ID(0x56e36460, 0x57c34da)
#pragma deprecated("MASTERMAXCLIP_CLASS_ID")

//!\name ClassID's for the mixer driven controls.
//!@{
//!\brief The various driven control class ids for the mixer driven controllers that replace the ordinary max controllers once the object goes into the mixer.
#define MIXER_DRIVEN_CONTROL_CLASS_ID Class_ID(0x32fd7fa2, 0x67a62aae)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVEN_CONTROL_CLASS_ID instead [insensitive language]
#define SLAVE_CONTROL_CLASS_ID Class_ID(0x32fd7fa2, 0x67a62aae)
#pragma deprecated("SLAVE_CONTROL_CLASS_ID")

#define MIXER_DRIVENFLOAT_CONTROL_CLASS_ID Class_ID(0xed63317, 0x1a55054b)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVENFLOAT_CONTROL_CLASS_ID instead [insensitive language]
#define SLAVEFLOAT_CONTROL_CLASS_ID Class_ID(0xed63317, 0x1a55054b)
#pragma deprecated("SLAVEFLOAT_CONTROL_CLASS_ID")

#define MIXER_DRIVENPOS_CONTROL_CLASS_ID Class_ID(0x77d776ae, 0x26e16054)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVENPOS_CONTROL_CLASS_ID instead [insensitive language]
#define SLAVEPOS_CONTROL_CLASS_ID Class_ID(0x77d776ae, 0x26e16054)
#pragma deprecated("SLAVEPOS_CONTROL_CLASS_ID")

#define MIXER_DRIVENROTATION_CONTROL_CLASS_ID Class_ID(0x611b5ad7, 0x7485235)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVENROTATION_CONTROL_CLASS_ID instead [insensitive language]
#define SLAVEROTATION_CONTROL_CLASS_ID Class_ID(0x611b5ad7, 0x7485235)
#pragma deprecated("SLAVEROTATION_CONTROL_CLASS_ID")

#define MIXER_DRIVENSCALE_CONTROL_CLASS_ID Class_ID(0x5f712fd0, 0x376a57a8)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVENSCALE_CONTROL_CLASS_ID instead [insensitive language]
#define SLAVESCALE_CONTROL_CLASS_ID Class_ID(0x5f712fd0, 0x376a57a8)
#pragma deprecated("SLAVESCALE_CONTROL_CLASS_ID")

#define MIXER_DRIVENPOINT3_CONTROL_CLASS_ID Class_ID(0x68233163, 0x3e7802ee)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVENPOINT3_CONTROL_CLASS_ID instead [insensitive language]
#define SLAVEPOINT3_CONTROL_CLASS_ID Class_ID(0x68233163, 0x3e7802ee)
#pragma deprecated("SLAVEPOINT3_CONTROL_CLASS_ID")

#define MIXER_DRIVENPOINT4_CONTROL_CLASS_ID Class_ID(0x531e2dda, 0x67926815)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVENPOINT4_CONTROL_CLASS_ID instead [insensitive language]
#define SLAVEPOINT4_CONTROL_CLASS_ID Class_ID(0x531e2dda, 0x67926815)
#pragma deprecated("SLAVEPOINT4_CONTROL_CLASS_ID")

#define MIXER_DRIVENMATRIX3_CONTROL_CLASS_ID Class_ID(0x20fa45e0, 0x58ef2ced)
//! \deprecated This has been deprecated as of 3ds Max 2022, please use MIXER_DRIVENMATRIX3_CONTROL_CLASS_ID instead [insensitive language]
#define SLAVEMATRIX3_CONTROL_CLASS_ID Class_ID(0x20fa45e0, 0x58ef2ced)
#pragma deprecated("SLAVEMATRIX3_CONTROL_CLASS_ID")

//!\brief INTERNAL USE  Interface for the driven
#define I_MIXERDRIVENINTERFACE 0x4606111e
//! \deprecated This has been deprecated as of 3ds Max 2022, please use I_MIXERDRIVENINTERFACE instead [insensitive language]
#define I_MIXSLAVEINTERFACE 0x4606111e
#pragma deprecated("I_MIXSLAVEINTERFACE")

//!\brief INTERNAL USE
class IMixDriven : public MaxHeapOperators
{
public:
	MIXExport virtual Control* GetProxyControl() const = 0;
};

//! \deprecated This has been deprecated as of 3ds Max 2022, please use IMixDriven instead [insensitive language]
typedef MAX_DEPRECATED IMixDriven IMixSlave;
//!@}
