/*	
 *		built_in_properties.h - known core property defs for MAXScript
 *
 *			Copyright  John Wainwright 1996
 *
 */

// MUST BE maintained in alpha order for parser lookup table use
// sort path props as though concatenated with '.', nested props as though
// prefixed with '*.'
#pragma warning(push)
#pragma warning(disable:4100)
	def_nested_prop		  ( angle )	
	def_nested_prop		  ( axis )	
	def_nested_prop		  ( b )
	def_nested_prop		  ( blue )	
	def_nested_prop		  ( controller )
	def_nested_prop		  ( g )
	def_nested_prop		  ( green )
	def_nested_prop		  ( isAnimated )
	def_nested_prop		  ( keys )
	def_nested_prop		  ( r )
	def_nested_prop		  ( red )
	def_nested_prop_alias ( track, controller )
	def_nested_prop		  ( w )
	def_nested_prop		  ( x )
	def_nested_prop		  ( x_rotation )
	def_nested_prop		  ( y )
	def_nested_prop		  ( y_rotation )
	def_nested_prop		  ( z )
	def_nested_prop		  ( z_rotation )

	def_property		  ( a )
	def_property		  ( alpha )	
	def_property		  ( angle )
	def_property		  ( autoParam )
	def_property		  ( autoUpdate )	
	def_property		  ( axis )	
	def_property		  ( axisTM )	
	def_property		  ( b )
	def_property		  ( bias )
	def_property		  ( blue )
	def_property		  ( bottom )
	def_property		  ( boundingBox )
	def_property		  ( boxDisp )
	def_property		  ( categories )
	def_property	      ( category )
	def_property		  ( center )
	def_property		  ( children )
	def_property		  ( classes )
	def_property		  ( classID )
	def_property		  ( closedInU )
	def_property		  ( closedInV )
	def_property		  ( clp )
	def_property		  ( config )
	def_property		  ( constantVelocity )
	def_property		  ( continuity)
	def_property	  	  ( controller )
	def_property	  	  ( controllers )
	def_property	  	  ( count )
	def_property	  	  ( creatable )
	def_property		  ( cubic )
	def_property		  ( curvatureAngle )
	def_property		  ( curvatureDistance )
	def_property		  ( curveCVs )
	def_property		  ( curves )
	def_property		  ( curveStartPoint )
	def_property		  ( curveStartPoint1 )
	def_property		  ( curveStartPoint2 )
	def_property		  ( degradeOnMove )
	def_property		  ( dir )
	def_property		  ( disabled )
	def_property		  ( displacementMapping )
	def_property		  ( display )
	def_property		  ( displayCurveCVLattices )
	def_property		  ( displayCurves )
	def_property		  ( displayDependents )
	def_property		  ( displayLattices )
	def_property		  ( displayShadedLattice )
	def_property		  ( displaySurfaces )
	def_property		  ( displaySurfCVLattices )
	def_property		  ( displayTrimming )
	def_property		  ( distance )
	def_property		  ( easeFrom )
	def_property		  ( easeTo)
	def_property		  ( edge )
	def_property		  ( edge1 )
	def_property		  ( edge2 )
	def_property		  ( edges )
	def_property		  ( effectsChannel )
	def_property		  ( end )
	def_property		  ( endsOverlap )
	def_property		  ( extrudeVector )
	def_property		  ( faces )
	def_property		  ( fileName )
	def_property		  ( flip1 )
	def_property		  ( flip2 )
	def_property		  ( flipNormals )
	def_property		  ( flipTrim )
	def_property		  ( flipTrim1 )
	def_property		  ( flipTrim2 )
	def_property		  ( frame )
	def_property		  ( freeHandle )
	def_property		  ( g )
	def_property		  ( generateUVs1 )
	def_property		  ( generateUVs2 )
	def_property		  ( green )
	def_property		  ( h )	
	def_property		  ( hidden )
	def_property		  ( hue )
	def_property		  ( ignoreAnimation )
	def_property		  ( ignoreCameras )
	def_property		  ( ignoreHelpers )
	def_property		  ( ignoreLights )
	def_property		  ( ignoreShapes )
	def_property		  ( imports )
	def_property		  ( index )
	def_property		  ( inTangent )
	def_property		  ( inTangentLength )
	def_property		  ( inTangentType )
	def_property		  ( isAnimated )
	def_property		  ( isClosed )
	def_property		  ( isEmpty )
	def_property		  ( isoULines )
	def_property		  ( isoVLines )
	def_property		  ( keys )
	def_property		  ( left )
	def_property		  ( length1 )
	def_property		  ( length2 )
	def_property		  ( mat )
	def_property_alias	  ( material, mat )
	def_property		  ( matID )
	def_property		  ( max )
	def_property_alias	  ( maximum, max )
	def_property		  ( merge )
	def_property		  ( mesh )
	def_property		  ( meshApproxType )
	def_property		  ( meshUSteps )
	def_property		  ( meshVSteps )
	def_property		  ( min )
	def_property_alias	  ( minimum, min )
	def_property		  ( modifiers )
	def_property		  ( name )
	def_property		  ( normal )
	def_property		  ( normalized )
	def_property		  ( numberSet )
	def_property		  ( numChannels )
	def_property		  ( numcpvverts )
	def_property		  ( numCurves )
	def_property		  ( numCVs )
	def_property		  ( numfaces )
	def_property		  ( numGizmos )
	def_property		  ( numKnots )
	def_property_alias	  ( nummaterials, numsubs )
	def_property		  ( numObjects )
	def_property		  ( numPoints )
	def_property		  ( numrevs )
	def_property		  ( numsplines )
	def_property		  ( numsubs )
	def_property		  ( numTrimPoints )
	def_property		  ( numtverts )
	def_property		  ( numUCurves )
	def_property		  ( numUCVs )
	def_property		  ( numUKnots )
	def_property		  ( numUPoints )
	def_property		  ( numVCurves )
	def_property		  ( numVCVs )
	def_property		  ( numverts )
	def_property		  ( numVKnots )
	def_property		  ( numVPoints )
	def_property		  ( nurbsID )
	def_property		  ( nurbsSet )
	def_property		  ( object )
	def_property		  ( objectoffsetpos )
	def_property		  ( objectoffsetrot )
	def_property		  ( objectoffsetscale )
	def_property		  ( objecttransform )
	def_property		  ( offset )
	def_property		  ( optimize )
	def_property		  ( order )	
	def_property		  ( outTangent )
	def_property		  ( outTangentLength )
	def_property		  ( outTangentType )
	def_property		  ( parallel )
	def_property		  ( parameter )
	def_property		  ( parameterRangeMax )
	def_property		  ( parameterRangeMin )
	def_property		  ( parent )
	def_property		  ( parent1 )
	def_property		  ( parent1ID )
	def_property		  ( parent2 )
	def_property		  ( parent2ID )
	def_property		  ( parentID )
	def_property		  ( pivot )
	def_2_prop_path		  ( pivot, x )
	def_2_prop_path		  ( pivot, y )
	def_2_prop_path		  ( pivot, z )
	def_property		  ( points )
	def_property		  ( pos )
	def_2_prop_path		  ( pos, controller )
	def_2_prop_path		  ( pos, isAnimated )
	def_2_prop_path		  ( pos, keys )
	def_2_prop_path_alias ( pos, track, pos, controller )
	def_2_prop_path		  ( pos, x )
	def_2_prop_path		  ( pos, y )
	def_2_prop_path		  ( pos, z )
	def_property_alias	  ( position, pos )
	def_2_prop_path_alias ( position, controller, pos, controller )
	def_2_prop_path_alias ( position, isAnimated, pos, isAnimated )
	def_2_prop_path_alias ( position, keys, pos, keys )
	def_2_prop_path_alias ( position, track, pos, controller )
	def_2_prop_path_alias ( position, x, pos, x)
	def_2_prop_path_alias ( position, y, pos, y )
	def_2_prop_path_alias ( position, z, pos, z )
	def_property		  ( pVec )
	def_property		  ( r )
	def_property		  ( radius )
	def_property		  ( rail )
	def_property		  ( rail1 )
	def_property		  ( rail1ID )
	def_property		  ( rail2 )
	def_property		  ( rail2ID )
	def_property		  ( railID )
	def_property		  ( red )
	def_property		  ( renderable )
	def_property		  ( renderApproximation )
	def_property		  ( renderConfig )
	def_property		  ( renderCurvatureAngle )
	def_property		  ( renderCurvatureDistance )
	def_property		  ( renderIsoULines )
	def_property		  ( renderIsoVLines )
	def_property		  ( renderMeshApproxType )
	def_property		  ( renderMeshUSteps )
	def_property		  ( renderMeshVSteps )
	def_property		  ( renderSpacialEdge )
	def_property		  ( renderViewDependent )
	def_property		  ( right )
	def_property		  ( rigid )
	def_property		  ( rotation )
	def_2_prop_path		  ( rotation, angle )
	def_2_prop_path		  ( rotation, axis )
	def_2_prop_path		  ( rotation, controller )
	def_2_prop_path		  ( rotation, isAnimated )
	def_2_prop_path		  ( rotation, keys )
	def_2_prop_path_alias ( rotation, track, rotation, controller )
	def_2_prop_path		  ( rotation, x_rotation )
	def_2_prop_path		  ( rotation, y_rotation )
	def_2_prop_path		  ( rotation, z_rotation )
	def_property		  ( row1 )
	def_property		  ( row2 )
	def_property		  ( row3 )
	def_property		  ( row4 )
	def_property		  ( s )
	def_property		  ( saturation )
	def_property		  ( scale )
	def_2_prop_path		  ( scale, axis )
	def_2_prop_path		  ( scale, controller )
	def_2_prop_path		  ( scale, isAnimated )
	def_2_prop_path		  ( scale, keys )
	def_2_prop_path_alias ( scale, track, scale, controller )
	def_2_prop_path		  ( scale, x )
	def_2_prop_path		  ( scale, y )
	def_2_prop_path		  ( scale, z )
	def_property		  ( seed )
	def_property		  ( selected )
	def_property		  ( selectedCurveCVs )
	def_property		  ( selectedCurves )
	def_property		  ( selectedEdges )
	def_property		  ( selectedFaces )
	def_property		  ( selectedImports )
	def_property		  ( selectedPoints )
	def_property		  ( selectedSurfaces )
	def_property		  ( selectedSurfCVs )
	def_property		  ( selectedVertices )
	def_property_alias	  ( selectedVerts, selectedVertices )
	def_property		  ( selSetNames )
	def_property		  ( spacialEdge )
	def_property		  ( splitMesh )
	def_property		  ( start )
	def_property		  ( steps )
	def_property		  ( subdivisionDisplacement )
	def_property		  ( superclassID )
	def_property		  ( surfaces )
	def_property		  ( surfCVs )
	def_property		  ( sweep )
	def_property		  ( target )
	def_property		  ( tension )
	def_property		  ( tension1 )
	def_property		  ( tension2 )
	def_property		  ( textureSurface1 )
	def_property		  ( textureSurface2 )
	def_property		  ( ticks )
	def_property		  ( time )
	def_property		  ( top )
	def_property_alias	  ( track, controller )
	def_property		  ( transform )
	def_property		  ( translation )
	def_property		  ( tree )
	def_property		  ( trim )
	def_property		  ( trim1 )
	def_property		  ( trim2 )
	def_property		  ( trimCurve )
	def_property		  ( trimCurve1 )
	def_property		  ( trimCurve2 )
	def_property		  ( type )
	def_property		  ( uEdgesOverlap )
	def_property		  ( uOrder )
	def_property		  ( uParam )
	def_property		  ( uParameterRangeMax )
	def_property		  ( uParameterRangeMin )
	def_property		  ( uTangent )
	def_property		  ( v )
	def_property		  ( value)
	def_property		  ( vEdgesOverlap )
	def_property		  ( vertices)
	def_property_alias	  ( verts, vertices )
	def_property		  ( viewApproximation )
	def_property		  ( viewConfig )
	def_property		  ( viewCurvatureAngle )
	def_property		  ( viewCurvatureDistance )
	def_property		  ( viewDependent )
	def_property		  ( viewIsoULines )
	def_property		  ( viewIsoVLines )
	def_property		  ( viewMeshApproxType )
	def_property		  ( viewMeshUSteps )
	def_property		  ( viewMeshVSteps )
	def_property		  ( viewSpacialEdge )
	def_property		  ( viewViewDependent )
	def_property		  ( vOrder )
	def_property		  ( vParam )
	def_property		  ( vParameterRangeMax )
	def_property		  ( vParameterRangeMin )
	def_property		  ( vTangent )
	def_property		  ( w )
	def_property		  ( w_locked )
	def_property		  ( weight )
	def_property		  ( x )
	def_property		  ( x_locked )
	def_property		  ( x_rotation )
	def_property		  ( y )
	def_property		  ( y_locked )
	def_property		  ( y_rotation )
	def_property		  ( z )
	def_property		  ( z_locked )
	def_property		  ( z_rotation )
#pragma warning(pop)
