#pragma once
//**************************************************************************/
// Copyright (c) 2022 Autodesk, Inc.
// All rights reserved.
//
// Use of this software is subject to the terms of the Autodesk license 
// agreement provided at the time of installation or download, or which 
// otherwise accompanies this software in either electronic or hard copy form.  
//**************************************************************************/

#include <USDComponentVersionNumber.h>

// MaxUsd public namespace string will never change.
#define MAXUSD_NS maxUsd
// C preprocessor trickery to expand arguments.
#define MAXUSD_CONCAT(A, B) MAXUSD_CONCAT_IMPL(A, B)
#define MAXUSD_CONCAT_IMPL(A, B) A##B
// Versioned namespace includes the major version number.
#define MAXUSD_VERSIONED_NS MAXUSD_CONCAT(MAXUSD_NS, MAXUSD_CONCAT(_v,COMPONENT_VERSION_MAJOR))

namespace MAXUSD_VERSIONED_NS {}

// With a using namespace declaration, pull in the versioned namespace into the
// MaxUsd public namespace, to allow client code to use the plain MaxUsd
// namespace, e.g. maxUsd::Class.
namespace MAXUSD_NS {
    using namespace MAXUSD_VERSIONED_NS;
}

// Macro to place the MaxUsd symbols in the versioned namespace, which is how
// they will appear in the shared library, e.g. MaxUsd_v1::Class.
#ifdef DOXYGEN
#define MAXUSD_NS_DEF MAXUSD_NS
#else
#define MAXUSD_NS_DEF MAXUSD_VERSIONED_NS
#endif