//**************************************************************************/
// Copyright (c) 2022 Autodesk, Inc.
// All rights reserved.
//
// Use of this software is subject to the terms of the Autodesk license 
// agreement provided at the time of installation or download, or which 
// otherwise accompanies this software in either electronic or hard copy form.  
//**************************************************************************/

#include "MaxUSDAPI.h"

#include <pxr/base/tf/staticTokens.h>
#include <pxr/pxr.h>
#include <pxr/base/tf/token.h>

#pragma once

namespace maxUsd {
namespace metadata {
	const pxr::TfToken matId("3dsmax:matId");
}
}

PXR_NAMESPACE_OPEN_SCOPE

// clang-format off
#define MAX_USD_METADATA_TOKENS \
	(kind) \
	(purpose) \
	(hidden) \
	(creator)
// clang-format on

TF_DECLARE_PUBLIC_TOKENS(MaxUsdMetadataTokens,MaxUSDAPI,MAX_USD_METADATA_TOKENS);

// clang-format off
#define MAX_USD_PRIMVAR_TOKENS \
	(st) \
	(uv) \
	(mapShading) \
	(vertexColor) \
	(displayColor) \
	(displayOpacity)
// clang-format on

TF_DECLARE_PUBLIC_TOKENS(MaxUsdPrimvarTokens,MaxUSDAPI,MAX_USD_PRIMVAR_TOKENS);

// clang-format off
#define MAX_USD_PRIM_TYPE_TOKENS \
	(Xform) \
	(DiscLight) \
	(RectLight) \
	(CylinderLight) \
	(SphereLight) \
	(DistantLight) \
	(Camera) \
	(Mesh) \
	(BasisCurves) \
	(SkelRoot) \
	(Skeleton) \
	(Over) \
	(Class)
// clang-format on

TF_DECLARE_PUBLIC_TOKENS(MaxUsdPrimTypeTokens,MaxUSDAPI,MAX_USD_PRIM_TYPE_TOKENS);

PXR_NAMESPACE_CLOSE_SCOPE