//**************************************************************************/
// Copyright (c) 2022 Autodesk, Inc.
// All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.  
//**************************************************************************/

#pragma once
#include <MaxUsd/Translators/ShaderWriter.h>
#include <pxr/pxr.h>

/// Shader writer for exporting 3ds Max's material shading nodes to USD.
class GlTFMaterialWriter : public pxr::MaxUsdShaderWriter
{
public:
    GlTFMaterialWriter(
        Mtl* material,
        const pxr::SdfPath&           usdPath,
        pxr::MaxUsdWriteJobContext&  jobCtx);

    static ContextSupport CanExport(const USDSceneBuilderOptions& exportArgs);
    void Write() override;
};