/*
 * Registers the glTF Material Shader to USD Plug Registry
 * This script is ran as part of the "post-start-up scripts parts"
 * This is necessary to ensure that USD can register the plugin properly, and load the associated dll or python script when the time is right.
 * Loading the USD plugin's DLL before the USD plugin object Load() is called can cause issues/crash.
 * This script registers either the python or the c++ shader writer. Comment/uncomment the file accordingly to the one you want to load.
 * Both could be registered at the same time without problem, but only one would ever be executed.
 * For the purpose of this sample we demonstrate how to load a c++ and a python writer.
*/
(

pyUsdPlug = python.import("pxr.Plug")

function addMyMaxUsdPlugin = 
(
	pysys = python.import("sys")
	pyos = python.import("os")
	
	scriptPath = getThisScriptFilename()
	pluginPath = pathConfig.removePathLeaf scriptPath

	-- Load the c++ shader writer
	pluginPath = pluginPath + "\\plugInfo.json"

	-- Or load the python shader writer
	/*
	 * pluginPath = pluginPath + "\\python\\plugInfo.json"
	 * -- The plugin script location must part of the Python path
	 * pysys.path.insert 0 (pathConfig.removePathLeaf pluginPath)
	*/

	plugRegistry = pyUsdPlug.Registry()
	plugRegistry.RegisterPlugins pluginPath
	
)

addMyMaxUsdPlugin()

)