//**************************************************************************/
// Copyright (c) 2022 Autodesk, Inc.
// All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.  
//**************************************************************************/

#pragma once
#include <pxr/pxr.h>
#include <MaxUsd/Translators/PrimWriter.h>

/// Prim writer for exporting Sphere object to USD native sphere.
class SpherePrimWriter : public pxr::MaxUsdPrimWriter
{
public:
    SpherePrimWriter(const pxr::MaxUsdWriteJobContext& jobCtx);

    ContextSupport CanConvert(INode* node) override;
    pxr::TfToken GetPrimType(INode* node) override;
    bool Write(INode* sourceNode, pxr::UsdPrim& targetPrim, bool applyOffsetTransform) override;
};